Opciones de articulos Joomla no funciona  

 
Domingo
 Domingo
Estimable Member

Hola, intento entrar en opciones de configuraciones de artículos y categorías y me indica que no el componente no tiene opciones de configuración y este mensaje:

Mensaje
JForm::getInstance could not load file

Adjunto imagen, pueden orientar en este caso.

Nota: me ha salido un par de veces este error: Fatal error: Call to a member function filter() on boolean in /home/ruthmon2/public_html/RUTH2/components/com_config/model/form.php on line 296 al dar en guardar cuando estoy en la vista de la administración donde tiene que salir las opciones de articulos y categorias.

he puesto un clon de la web en otro servidor donde no actúa el plugin de cache jWECache y funciona perfectamente esta opción.

ademas la opción de votar que tengo puesto en los artículos me da errores con el plugin activado aunque no siempre, espero haberme explicado correctamente.

Saludos

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 22/09/2017 1:58 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Por lo que comentas parece ser que el plugin de cache que estas usando te causa el problema.
Por que no usas sólo la cache que tiene Joomla por defecto?, tendrías que probar en tu sitio web final y verificar.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/09/2017 10:30 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Antonio
 Antonio
Usuario experto

Me ocurre exactamente lo mismo:

Intento entrar en opciones de configuraciones de artículos y categorías (o cualquier otro elemento con opciones) y me indica que el componente no tiene opciones de configuración y este mensaje:

JForm::getInstance could not load file

ResponderCitar
Respondido : 13/11/2017 3:04 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Es muy probable que la incidencia esté relacionada con la versión de php que se está ejecutando en la web.

Si lo deseas es posible cambiar la versión de php que se ejecuta en tu cuenta. Puedes aplicar el cambio desde el panel de control cPanel de tu cuenta de hosting. En el siguiente enlace encontrarás instrucciones sobre cómo hacerlo:

https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Prueba a poner php 5.5 o php 5.6 para ver si se soluciona.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 13/11/2017 3:33 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Antonio
 Antonio
Usuario experto

PHP Version 5.6.32

sigue ocurriendo el error

ResponderCitar
Respondido : 13/11/2017 3:45 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Prueba a poner la versión 5.5 de php. En caso de que siga fallando envía un ticket a soporte para que puedan verificar si el cambio en la versión de php está correctamente aplicado.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 13/11/2017 5:03 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Antonio
 Antonio
Usuario experto

Hola,

Prueba a poner la versión 5.5 de php. En caso de que siga fallando envía un ticket a soporte para que puedan verificar si el cambio en la versión de php está correctamente aplicado.

Con 5.5 joomla lanza el siguiente mensaje:
We have detected that your server is using PHP 5.5.38 which is obsolete and no longer receives official security updates by its developers. The Joomla! Project recommends upgrading your site to PHP 5.6 or later which will receive security updates at least until 2018-12-31. Please ask your host to make PHP 5.6 or a later version the default version for your site. If your host is already PHP 5.6 ready please enable PHP 5.6 on your site's root and 'administrator' directories – typically you can do this yourself through a tool in your hosting control panel, but it's best to ask your host if you are unsure.

y sigue dando el fallo.

sobre saber si esta o no bien aplicada la version... ¿no basta con simple un phpinfo para eso?

ResponderCitar
Respondido : 13/11/2017 8:15 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola Antonio

Es muy extraño lo que comentas, prueba dejar la versión de Joomla > = 5.6

De manera general para descartar problemas con la configuración de tu cuenta de hosting, te sugiero instalar un pack nuevo Joomla de prueba en una carpeta y verificar.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 13/11/2017 9:24 pm

Cursos Gratuitos WordPress

Antonio
 Antonio
Usuario experto

gracias, pero con el resto de joomlas no le pasa, solo ese.

PD: extraño entre comillas... porque al que inició este hilo tambien le pasaba 😉

ResponderCitar
Respondido : 13/11/2017 10:50 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

El error que comentas es raro porque veo que sale RUTH2 y veo en tus capturas que en ningún momento existe este directorio. Te recomiendo que revises el fichero error_log y nos envíes las ultimas lineas con fechas actualizadas para poder revisarlo: https://www.webempresa.com/blog/que-es-un-error-500-y-como-localizarlo-en-nuestra-web.html

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 14/11/2017 1:04 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Antonio
 Antonio
Usuario experto

creo que te confundes de persona... Somos dos con el mismo problema en este debate.

a mi el error que me genera es:
[14-Nov-2017 06:34:27 Europe/Berlin] PHP Fatal error: Call to a member function filter() on boolean in /home/cacom/public_html/es/components/com_config/model/form.php on line 296
[14-Nov-2017 06:34:42 Europe/Berlin] PHP Fatal error: Call to a member function filter() on boolean in /home/cacom/public_html/es/components/com_config/model/form.php on line 296

ResponderCitar
Respondido : 14/11/2017 6:40 am
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

¿Este Joomla lo has ido actualizando desde versiones anteriores (por ejemplo Joomla 2.5)? De ser así, tendrías que verificar que no tienes ninguna extensión (componente o plugin principalmente) que no sea compatible con la versión actual que tienes de Joomla.

En caso de sospecha puedes probar a desactivar temporalmente la extensión para ver si se soluciona el problema.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 14/11/2017 10:02 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Antonio
 Antonio
Usuario experto

No es es caso.

Bueno, ire probando a deshabilitar cosas hasta que lo encuentre. Gracias

ResponderCitar
Respondido : 14/11/2017 1:59 pm

Por favor Iniciar Sesión o Registro